import makeSolver from "../makeSolver";
import { pathCost, distance } from "../cost";

const nearestNeighbor = async points => {
  const path = [points.shift()];

  while (points.length > 0) {
    points.sort(
      (a, b) =>
        distance(path[path.length - 1], b) - distance(path[path.length - 1], a)
    );

    path.push(points.pop());

    self.setEvaluatingPaths(() => ({
      paths: [{ path }],
      cost: pathCost(path)
    }));

    await self.sleep();
  }

  path.push(path[0]);
  const cost = pathCost(path);

  self.setEvaluatingPaths(() => ({
    paths: [{ path }],
    cost
  }));
  await self.sleep();

  self.setBestPath(path, cost);
};

makeSolver(nearestNeighbor);
